API referenceWishlists
Add an item to a wishlist
Authorization
bearerAuth AuthorizationBearer <token>
A Clerk session JWT. Obtain one with a Clerk frontend SDK
(session.getToken()) or, for server-to-server use, with a Clerk
machine token. The token's sub claim is the Flambe user id that scopes
every request.
In: header
Path Parameters
id*string
Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/wishlists/497f6eca-6276-4993-bfeb-53cbbbba6f08/items" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "user_id": "string", "name": "string", "description": "string", "items": [ { "itemKey": "string", "kind": "book", "title": "string", "authors": [ "string" ], "cover_url": "http://example.com", "source_v2_id": "string", "added_at": "2019-08-24T14:15:22Z" } ], "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z"}